Cast one asset in several entities

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
PUT /data/projects/{project_id}/entities/casting/assets/{asset_id}

Set how given asset is cast in each given entity (shots, assets or episodes of the project). Unlike the full casting update, the other assets of each entity are left untouched, so concurrent editors cannot erase each other's work. A nb_occurences of 0 removes the asset from the casting.

Path parameters

  • project_id Required

    Unique identifier of the project

  • asset_id Required

    Unique identifier of the asset to cast

application/json

Body Required

  • entity_ids array[string(uuid)] Required

    Entities to cast the asset in

  • nb_occurences integer

    Number of occurences, 0 removes the asset from the casting, omit to keep the current one (1 on a new link)

  • label string

    Casting label, omit to keep the current one

Responses

  • 200 application/json

    Map of entity ids to their updated casting

  • 400

    Empty selection or negative number of occurences

  • 403

    Not a manager of the project

  • 404

    Unknown asset or entity

PUT /data/projects/{project_id}/entities/casting/assets/{asset_id}
curl \
 --request PUT 'http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/entities/casting/assets/c46c8gc6-eg97-6887-c292-79675204e47' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"entity_ids":["string"],"nb_occurences":42,"label":"string"}'
Request examples
{
  "entity_ids": [
    "string"
  ],
  "nb_occurences": 42,
  "label": "string"
}
Response examples (200)
{}